Difference: TWikiSystemRequirements (25 vs. 26)

Revision 262003-01-25 - PeterThoeny

Line: 1 to 1
 

TWiki System Requirements

Line: 13 to 13
 
Required Server Environment
Resource Unix Windows*
Changed:
<
<
Perl 5.005_03 or higher (5.6.1 recommended)
>
>
Perl 5.005_03 or higher (5.6.1 recommended,
5.8.0 not recommended yet, see TWiki:Codev.UsingPerl58OnRedHat8)
 
Non-standard Perl modules Net::SMTP (or sendmail) Net::SMTP, MIME::Base64, Digest::SHA1
Changed:
<
<
RCS 5.7 or higher (including GNU diff)
Optional, but the all-Perl replacement is not currently recommended for live sites - see TWiki:Codev/RcsLite.
GNU diff GNU diff 2.7 or higher is required when TWiki's uses RCS binaries.
Install on PATH if not included with RCS (check version with diff -v)
>
>
RCS 5.7 or higher (including GNU diff)
Optional, but the all-Perl RCS replacement is not currently recommended for live sites - see TWiki:Codev.RcsLite.
GNU diff GNU diff 2.7 or higher is required when not using the all-Perl RcsLite.
Install on PATH if not included with RCS (check version with diff -v)
 
Other external programs ls, fgrep, egrep
Cron/scheduler cron cron equivalents
Changed:
<
<
Web server Apache is well supported; for other servers, CGI support, authentication, extended path required
>
>
Web server Apache 1.3 is well supported; Apache 2.0 is not recommended yet (see TWiki:Support.FailedAuthenticationWithApache2OnWinNT).
For other servers, CGI support, authentication, extended path required
 
Changed:
<
<
ALERT! * Current documentation mainly covers Linux and Apache installations. See WindowsInstallCookbook for a Windows installation guide.
>
>
ALERT! * Current documentation mainly covers Linux and Apache installations. See TWiki:Codev.WindowsInstallCookbook for a Windows installation guide. See TWiki:Codev.TWikiOn for help with installation on various platforms including Unix, MacOS X, Apache mod_perl, web hosts, etc.
 

Client Requirements

Line: 38 to 38
 

Known Issues

Changed:
<
<
  • The new TWikiPlugins feature currently does not have compatibility guidelines for developers. Plugins can require just about anything - browser-specific functions, stylesheets (CSS), Java applets, cookies, specific Perl modules,... - check the individual Plugin specs.
>
>
  • The TWikiPlugins feature currently does not have compatibility guidelines for developers. Plugins can require just about anything - browser-specific functions, stylesheets (CSS), Java applets, cookies, specific Perl modules,... - check the individual Plugin specs.
 
    • HELP Plugins included in the TWiki distribution do not add requirements.

-- MikeMannix - 12 Jan 2002

 
This site is powered by the TWiki collaboration platformCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback
Note: Please contribute updates to this topic on TWiki.org at TWiki:TWiki.TWikiSystemRequirements